Does firefox & 64 bit java have stability issues?

Asked by Tony Kernan on 2010-07-19

I use Firefox 3.6.6 and java plugins. I've tried sun-java6 & icedtea from the repositories, I get the same results from both. I goto http://www.javatester.org/version.html and the java applet works fine, but when I goto http://www.nimblefingers.com/j_applet1/WordWackerApplet.html I warning about my browser not supporting a java applet. I used to use http://www.nimblefingers.com/j_applet1/WordWackerApplet.html with older 32 bit systems with no problems.

About:plugins shows the plugin is installed and firefox knows how to find it.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu sun-java6 Edit question
Assignee:
No assignee Edit question
Solved by:
Tony Kernan
Solved:
2010-07-19
Last query:
2010-07-19
Last reply:
2010-07-19

You could try the 64bit java using the .bin file. The 64bit OS uses Java via a plugin wrapper which isn't very graceful

You can get it from www.java.com

You must uninstall the sun java you installed using the repos.

Tony Kernan (ackernan) said : #2

I downloaded and ran the bin file, it only expanded it's contents. There was no documentation that I saw about installin it. How do I install it?

move the expanded contents to /opt then you will need to symlink the
/opt/jre1.6.0_17/lib/amd64/libnpjp2.so
into your plugins folder.

Will works a treat

Tony Kernan (ackernan) said : #4

That didn't work. I think this site is having problems, I get the same error with Winblows.

Ahh well, no accounting for poor code.

Tony Kernan (ackernan) said : #6

This is a Firefox 3.6.6 problem, the site works fine with IE. Still looking for a solution.

Did the link work ok? Do you have 64it java?

Tony Kernan (ackernan) said : #8

Yea, everywhere except the nimblefingers.com site.